Bug 892669 - slow NIC and local kickstart -> anaconda crash
slow NIC and local kickstart -> anaconda crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
AcceptedNTH RejectedBlocker https://f...
: CommonBugs
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2013-01-07 09:58 EST by Kamil Páral
Modified: 2014-02-05 09:31 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 09:31:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-tb-aokiSR (124.31 KB, text/plain)
2013-01-07 09:59 EST, Kamil Páral
no flags Details
additional exceptions from tty1 (not in logs) (672.06 KB, image/jpeg)
2013-01-07 10:00 EST, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-01-07 09:58:34 EST
Description of problem:
Similarly to bug 832510 and bug 892665, this is a problem with a machine with a slow NIC. If anaconda is faster then NIC getting link address/IP address, problems arise.

I have booted netinst with inst.ks=hd:sdb1:/minimal.ks. The kickstart file uses online repos for installation.

On a machine with slow NIC, this results in anaconda crash, because anaconda doesn't try to wait a while before network comes up.

> anaconda 18.37.10 exception report
> Traceback (most recent call first):
>   File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 1020, in get_device_name
>     if isys.getMacAddress(d).lower() == devname.lower():
>   File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 1029, in setOnboot
>     devname = get_device_name(network_data.device)
>   File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 1060, in networkInitialize
>     setOnboot(ksdata)
>   File "/usr/lib64/python2.7/threading.py", line 504, in run
>     self.__target(*self.__args, **self.__kwargs)
>   File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
>     threading.Thread.run(self, *args, **kwargs)
> AttributeError: 'NoneType' object has no attribute 'lower'

Version-Release number of selected component (if applicable):
anaconda 18.37.10
F18 RC1

How reproducible:
always (for the machine I have access to)

Steps to Reproduce:
1. you need to have a machine with slow NIC. I don't know how to simulate that
2. create netinst usb using livecd-iso-to-disk
3. copy kickstart file to the usb drive
4. boot on a machine with a slow NIC, use inst.ks=hd:device:path
  
Actual results:
anaconda crashes

Expected results:
anaconda waits some time whether network comes up or not. If there is no network connection for a few minutes, it gives up, prints out an error and reboots.
Comment 1 Kamil Páral 2013-01-07 09:59:17 EST
Created attachment 674102 [details]
anaconda-tb-aokiSR
Comment 2 Kamil Páral 2013-01-07 10:00:14 EST
Created attachment 674105 [details]
additional exceptions from tty1 (not in logs)
Comment 3 Kamil Páral 2013-01-07 10:03:11 EST
We might argue this violates:
" The installer must be able to use all supported local and remote package source options "
https://fedoraproject.org/wiki/Fedora_18_Final_Release_Criteria
or some other critera. Let's discuss.
Comment 4 Chris Lumens 2013-01-07 11:34:31 EST
I don't think this is a widespread enough case to warrant being a F18 blocker.
Comment 5 Adam Williamson 2013-01-07 12:07:59 EST
Discussed at 2013-01-07 QA meeting acting as a blocker review meeting: http://meetbot.fedoraproject.org/fedora-meeting/2013-01-07/fedora-qa.2013-01-07-16.01.log.txt . Agreed that local kickstart / remote packages / slow network is too much of a corner case combination to block release. Obvious workaround - and a much more likely use case - is to host the kickstart remotely (it's quite unusual to have a really *local* kickstart). Accepted as NTH, though, as it is at least theoretically an install-breaker, and document if we don't fix it.
Comment 6 Jason H. 2013-02-13 20:47:29 EST
I also ran into this problem, though with a different error message, when using a self contained CD with packages and kickstart to deploy.  The error I got was "cannot load file:///tmp/anaconda-yum.conf".

As a quick work around, you can place "nmcli nm enable false" in your kickstart %pre section.  This will disable the unnecessary NetworkManager and nm-online processes, and allow the Anaconda systemd unit file to create the anaconda-yum.conf and yum.repos.d.

Usually first thing I do in Fedora is disable NetworkManager, firewalld, and other unnecessary control daemons.
Comment 7 Fedora End Of Life 2013-12-21 05:14:22 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2014-02-05 09:31:36 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.